Apache Tomcat 4.0/4.1 - Servlet Path Disclosure Vulnerability

2002-04-23T00:00:00
ID EDB-ID:21412
Type exploitdb
Reporter CHINANSL Security Team
Modified 2002-04-23T00:00:00

Description

Apache Tomcat 4.0/4.1 Servlet Path Disclosure Vulnerability. CVE-2002-2006. Remote exploit for unix platform

                                        
                                            source: http://www.securityfocus.com/bid/4575/info

Apache Tomcat is a servlet container for use with the Java Servlet and JavaServer Pages technologies. Tomcat may be run on most UNIX and Linux variants as well as Microsoft Windows. 

Apache Tomcat ships with a number of example classes (SnoopServlet and TroubleShooter) that may reveal the absolute path of the Tomcat installation when requested. 

Disclosure of this type of sensitive information may aid in further attacks against the host running the vulnerable software.

http://localhost:8080/examples/servlet/SnoopServlet 
http://localhost:8080/examples/servlet/TroubleShooter